PPOLLCONFIG(3)

NAME
PPollConfig - configure a device's parallel poll response

SYNOPSIS

#include <gpib/ib.h>

void PPollConfig(int board_desc, Addr4882_t address, int dio_line, int line_sense);

DESCRIPTION

PPollConfig() configures the device specified by address to respond to parallel polls. The dio_line (valid values are 1 through 8) specifies which dio line the device being configured should use to send back its parallel poll response. The line_sense argument specifies the polarity of the response. If line_sense is nonzero, then the specified dio line will be asserted to indicate that the 'individual status bit' (or 'ist') is 1. If sense is zero, then the specified dio line will be asserted when ist is zero.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess